Agents

Production summary with buyer/seller/dual split + previous period

POST
/v1/agents/analytics/summary

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agents/analytics/summary" \  -H "Content-Type: application/json" \  -d '{}'
{
  "current": {
    "buyer": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    },
    "buyerPct": 0,
    "dual": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    },
    "dualPct": 0,
    "seller": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    },
    "sellerPct": 0,
    "total": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    }
  },
  "previous": {
    "buyer": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    },
    "buyerPct": 0,
    "dual": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    },
    "dualPct": 0,
    "seller": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    },
    "sellerPct": 0,
    "total": {
      "avgListPrice": 0,
      "avgSalePrice": 0,
      "units": 0,
      "volume": 0
    }
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}